Debian Bug report logs - #677450
dmraid: fakeraid root device not activated during boot

version graph

Package: dmraid; Maintainer for dmraid is Debian QA Group <packages@qa.debian.org>; Source for dmraid is src:dmraid.

Reported by: Jakub Moc <jakub.moc@gmail.com>

Date: Thu, 14 Jun 2012 01:51:05 UTC

Severity: critical

Tags: patch

Found in version dmraid/1.0.0.rc16-4.1

Fixed in version dmraid/1.0.0.rc16-4.2

Done: Ulrich Dangel <uli@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Thu, 14 Jun 2012 01:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Moc <jakub.moc@gmail.com>:
New Bug report received and forwarded. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Thu, 14 Jun 2012 01:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Moc <jakub.moc@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dmraid: fakeraid root device not activated during boot
Date: Thu, 14 Jun 2012 03:49:16 +0200
[Message part 1 (text/plain, inline)]
Package: dmraid
Version: 1.0.0.rc16-4.1
Severity: critical
Tags: patch
Justification: breaks the whole system

With / on fakeraid device, the boot drops to initramfs shell. A simple fix:

--- /usr/share/initramfs-tools/scripts/local-top/dmraid 2010-12-20
22:10:10.000000000 +0100
+++ /usr/share/initramfs-tools/scripts/local-top/dmraid 2012-06-14
03:47:15.171595455 +0200
@@ -2,7 +2,7 @@

 # local-top script for dmraid.

-PREREQS=""
+PREREQS="udev"
 prereqs()
 {
        echo $PREREQS
@@ -17,7 +17,7 @@
 esac

 # Activate any dmraid arrays that were not identified by udev and vol_id.
-
+/sbin/udevadm settle --timeout=30
 if devices=$(dmraid -r -c); then
        for dev in $devices; do
                dmraid-activate $dev



-- Package-specific info:
--- dmraid -r -vvv output

--- dmraid -s -vv output

--- /proc/partitions:
major minor  #blocks  name

   8        0  488385527 sda
   8        1  155777880 sda1
   8        2     509952 sda2
   8        3          1 sda3
   8        5     102400 sda5
   8        6    3145728 sda6
   8        7   15728640 sda7
   8       80    7821312 sdf
   8       81    7817280 sdf1
   8      128 1953514584 sdi
   8      129 1737494528 sdi1
   8      130  209713152 sdi2
   8      131          1 sdi3
   8      133    6289953 sdi5
   8       96    1992704 sdg
   8       97    1992028 sdg1
   8      144  244198584 sdj
   8      145     204800 sdj1
   8      146  104857600 sdj2
   8      147          1 sdj3
   8      149  139132928 sdj5
   8      160  244198584 sdk
   8      161     204800 sdk1
   8      162  104857600 sdk2
   8      163          1 sdk3
   8      165  139132928 sdk5
  11        0    1048575 sr0
 254        0  244197560 dm-0
 254        1     204800 dm-1
 254        2  104857600 dm-2
 254        3  139132928 dm-3

--- initrd.img-3.4.0-2.dmz.2-liquorix-686:

gzip: /boot/initrd.img-3.4.0-2.dmz.2-liquorix-686: not in gzip format
cpio: premature end of archive

--- /proc/modules:
dm_raid45 60457 0 - Live 0xf5d66000
xor 13600 1 dm_raid45, Live 0xf5d4b000
dm_memcache 3202 1 dm_raid45, Live 0xf5d41000
dm_mirror 11886 1 - Live 0xf5cc4000
dm_region_hash 9526 2 dm_raid45,dm_mirror, Live 0xf5cb6000
dm_log 8087 4 dm_raid45,dm_mirror,dm_region_hash, Live 0xf5cac000
dm_mod 67403 13 dm_raid45,dm_mirror,dm_log, Live 0xf5c55000

--- /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.4.0-2.dmz.2-liquorix-686 root=UUID=62555739-e743-4237-8c16-d413a6255a20 ro quiet splash


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (600, 'unstable'), (600, 'testing'), (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.4.0-2.dmz.2-liquorix-686 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=cs_CZ.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dmraid depends on:
ii  dmsetup              2:1.02.74-4
ii  libc6                2.13-33
ii  libdmraid1.0.0.rc16  1.0.0.rc16-4.1
ii  libselinux1          2.1.9-5
ii  libsepol1            2.1.4-3
ii  udev                 175-3.1

dmraid recommends no packages.

dmraid suggests no packages.

-- no debconf information
[dmraid.diff (text/x-diff, attachment)]
[dmraid.diff (text/x-diff, attachment)]
[dmraid.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Mon, 10 Sep 2012 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 10 Sep 2012 02:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 677450@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: Jakub Moc <jakub.moc@gmail.com>, 677450@bugs.debian.org
Subject: Re: Bug#677450: dmraid: fakeraid root device not activated during boot
Date: Mon, 10 Sep 2012 03:36:01 +0100
* Jakub Moc wrote [14.06.12 02:49]:

I tried to reproduce the problem but unfortunately I couldn't setup a
correct virtualized environment but i still have some comments to your
changes.

> --- /usr/share/initramfs-tools/scripts/local-top/dmraid 2010-12-20
> 22:10:10.000000000 +0100
> +++ /usr/share/initramfs-tools/scripts/local-top/dmraid 2012-06-14
> 03:47:15.171595455 +0200
> @@ -2,7 +2,7 @@
> 
>  # local-top script for dmraid.
> 
> -PREREQS=""
> +PREREQS="udev"
>  prereqs()
>  {
>         echo $PREREQS


The udev script should already been run as it is in init-top which is
executed before local-top. So this change is IMO unnecessary.


> @@ -17,7 +17,7 @@
>  esac
> 
>  # Activate any dmraid arrays that were not identified by udev and vol_id.
> -
> +/sbin/udevadm settle --timeout=30
>  if devices=$(dmraid -r -c); then
>         for dev in $devices; do
>                 dmraid-activate $dev

I think instead of just calling udevadm we should check if the
executable is available, e.g:

,----
| if [ -x /sbin/udevadm ]; then
|     /sbin/udevadm settle --timeout=30
| elif [ -x /sbin/udevsettle ]; then
|     /sbin/udevsettle --timeout=30
| fi
`----

If you can test your script without the PREREQS change i would be happy
to integrate these changes into dmraid.



Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Mon, 10 Sep 2012 16:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 10 Sep 2012 16:21:08 GMT) Full text and rfc822 format available.

Message #15 received at 677450@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: Jakub Moc <jakub.moc@gmail.com>
Cc: 677450@bugs.debian.org
Subject: Re: Bug#677450: dmraid: fakeraid root device not activated during boot
Date: Mon, 10 Sep 2012 18:12:10 +0200
* Jakub Moc wrote [10.09.12 18:02]:
Hi,
> Not really sure about hardcoding the path wrt the recent /usr move madness
> in Fedora etc. Maybe something like type -P udevadm would be better. Other
> than that, the proposed fix is fine with me.

Did you test it without the PREREQS=udev line?

There is also a wait_for_udev function in the functions file, so we
should probably use this.


Could you test if:

. /scripts/functions

wait_for_udev 30

works for you? If it does I'll do an NMU.



Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Mon, 10 Sep 2012 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 10 Sep 2012 17:48:05 GMT) Full text and rfc822 format available.

Message #20 received at 677450@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: 677450@bugs.debian.org
Subject: dmraid: diff for NMU version 1.0.0.rc16-4.2
Date: Mon, 10 Sep 2012 18:45:39 +0100
[Message part 1 (text/plain, inline)]
tags 677450 + pending
thanks

Dear maintainer,

I've prepared an NMU for dmraid (versioned as 1.0.0.rc16-4.2) and
uploaded it to DELAYED/3. Please feel free to tell me if I
should delay it longer.

Regards.
[dmraid-1.0.0.rc16-4.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Ulrich Dangel <uli@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 17:48:07 GMT) Full text and rfc822 format available.

Reply sent to Ulrich Dangel <uli@debian.org>:
You have taken responsibility. (Mon, 10 Sep 2012 18:21:04 GMT) Full text and rfc822 format available.

Notification sent to Jakub Moc <jakub.moc@gmail.com>:
Bug acknowledged by developer. (Mon, 10 Sep 2012 18:21:04 GMT) Full text and rfc822 format available.

Message #27 received at 677450-close@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: 677450-close@bugs.debian.org
Subject: Bug#677450: fixed in dmraid 1.0.0.rc16-4.2
Date: Mon, 10 Sep 2012 18:17:50 +0000
Source: dmraid
Source-Version: 1.0.0.rc16-4.2

We believe that the bug you reported is fixed in the latest version of
dmraid, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677450@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ulrich Dangel <uli@debian.org> (supplier of updated dmraid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 Sep 2012 17:35:50 +0100
Source: dmraid
Binary: dmraid dmraid-udeb libdmraid1.0.0.rc16-udeb libdmraid1.0.0.rc16 libdmraid-dev
Architecture: source amd64
Version: 1.0.0.rc16-4.2
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Ulrich Dangel <uli@debian.org>
Description: 
 dmraid     - Device-Mapper Software RAID support tool
 dmraid-udeb - Device-Mapper Software RAID support tool (udeb) (udeb)
 libdmraid-dev - Device-Mapper Software RAID support tool - header files
 libdmraid1.0.0.rc16 - Device-Mapper Software RAID support tool - shared library
 libdmraid1.0.0.rc16-udeb - Device-Mapper Software RAID support tool - shared library (udeb) (udeb)
Closes: 677450
Changes: 
 dmraid (1.0.0.rc16-4.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Call udevadm settle before activating dmraid devices
     (Closes: #677450)
Checksums-Sha1: 
 19ae5bdb8aa20047a0b17ffacbafcdea507f962d 2236 dmraid_1.0.0.rc16-4.2.dsc
 6f9fa3d16ff10f85059d3dfa52ad0340d7abf896 29412 dmraid_1.0.0.rc16-4.2.diff.gz
 68339b5563ad2774618183ebfc7b8de2817964c7 38540 dmraid_1.0.0.rc16-4.2_amd64.deb
 b691b1ddab81c37dcdcdd557dd09c2f3795c4862 10352 dmraid-udeb_1.0.0.rc16-4.2_amd64.udeb
 5616d28c5d02ac9a61764d629a191c3e5cd24eb4 79944 libdmraid1.0.0.rc16-udeb_1.0.0.rc16-4.2_amd64.udeb
 53066694a8f0b277c44752ccba2d97bd4d73d06d 110520 libdmraid1.0.0.rc16_1.0.0.rc16-4.2_amd64.deb
 27478683d01ef3c1ad63da4ae9678f62e272a198 154132 libdmraid-dev_1.0.0.rc16-4.2_amd64.deb
Checksums-Sha256: 
 d14fb5215effb1b466b9492bc80f076e5e22b1d9fdc3bd573cc189428d858212 2236 dmraid_1.0.0.rc16-4.2.dsc
 6ce49706c3a5dda53c2e4088243d40b5d700b7a3ededefbe55dd386d15b0160c 29412 dmraid_1.0.0.rc16-4.2.diff.gz
 8aaa1cc84aa648242562c35f46c6140b0d14cdc9a653640e15bed4704e50c187 38540 dmraid_1.0.0.rc16-4.2_amd64.deb
 ec359480efc691d7d6c2419297f17f017be45ce85263dbeee0229824d6b25a32 10352 dmraid-udeb_1.0.0.rc16-4.2_amd64.udeb
 71072915efa89449c0f0a5f810b91ea2d1b2d673235c4ef011cf82c6ff2e0222 79944 libdmraid1.0.0.rc16-udeb_1.0.0.rc16-4.2_amd64.udeb
 bfc066195bec990627796cbe9f17942015557ac5549b8455fe80f8a4a6a11eab 110520 libdmraid1.0.0.rc16_1.0.0.rc16-4.2_amd64.deb
 e0c08269320324aafac84aaceeb58e4015f611f503764251b6bf8aa9fe79023d 154132 libdmraid-dev_1.0.0.rc16-4.2_amd64.deb
Files: 
 b25fa1f1de8062b5b792b818d65c897a 2236 admin optional dmraid_1.0.0.rc16-4.2.dsc
 7fe6600f2a33f2d1c4c8242767d7dc04 29412 admin optional dmraid_1.0.0.rc16-4.2.diff.gz
 bb66481d55d229d3a4d2086201c9b329 38540 admin optional dmraid_1.0.0.rc16-4.2_amd64.deb
 bba479634223512d5ebb959351faba10 10352 debian-installer optional dmraid-udeb_1.0.0.rc16-4.2_amd64.udeb
 877f683fe951403ca7c35d7b46d8f2d5 79944 debian-installer optional libdmraid1.0.0.rc16-udeb_1.0.0.rc16-4.2_amd64.udeb
 b1067de6b96b056e1cacbb418bf5b2c8 110520 libs optional libdmraid1.0.0.rc16_1.0.0.rc16-4.2_amd64.deb
 2a824e34497d18ca1cee2656d4616d05 154132 libdevel optional libdmraid-dev_1.0.0.rc16-4.2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQTiZNAAoJEASq5bOX8aqsrasP/jnbG+Abgk8ldaXt3/S0S0ZJ
RnL1+lMEOpoDDvtRVNrinAMUPt2gYi90dNiq02Yi/1kOl8haTQmc7jmMlPSe22Cr
2DXCtsZ6ahbr8tR+dU5waCNSD4OUpfjrcRGlNs6gBKvNJVmcnsVYohc2sOw62rbV
OMcQJMISkUPraC3l+mCZTNkl/73sBK6pPfoFygqrc1BH0EQm3iIN2vocrZERTLhd
Q90nbcgEAtmtHq5kMa4pJsQAnj4wN/A4bitTYvoICor/O8hk46rP2E2U/bBUxM24
wYkgbSugcCu3ohaqljbRacodSZbaLYzsPo/V7sfl4QdJ4TtfOijVYCqOZY9W4Rzj
T2gGHIbWl5D/OdwzdgfgEooeq6S1CxN9oQ4/FcSrtn52WBVKKBvaw4sZz1ca/3dv
qucX0gingJ4TBIFTBCtDPyIkSOTC3RLZEptelPJSCIXvUIjdjylE3/gbm4ZtjSdg
rlEcaTjDwpfRloWkHhqoSg1Mv+LcF/XLFctdNKTiflGYjcQBm2t9jt+/Dy/6LQTc
gMo/2xf5plhatvQ88YVxsXkaXuFKRL6/cj4n11H8Gan9nPAe8/xUfZbZIUdikwoK
b3wPqI6D/9d5LUk/787IVSmPEXkCqtyoctG60zwu4mJvxVrhsstL93tZn8b5dMNm
qLgqnBaZ4UPSEcTTRcMw
=4bYT
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Wed, 26 Sep 2012 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Wed, 26 Sep 2012 13:51:06 GMT) Full text and rfc822 format available.

Message #32 received at 677450@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ulrich Dangel <uli@debian.org>, 677450@bugs.debian.org
Cc: Jakub Moc <jakub.moc@gmail.com>
Subject: Re: Bug#677450: dmraid: fakeraid root device not activated during boot
Date: Wed, 26 Sep 2012 15:49:30 +0200
[Message part 1 (text/plain, inline)]
Hi Ulrich,

I'm currently in the process of reviewing udeb-producing packages to make
them migrate to wheezy if appropriate.

Ulrich Dangel <uli@debian.org> (10/09/2012):
> Did you test it without the PREREQS=udev line?
> 
> There is also a wait_for_udev function in the functions file, so we
> should probably use this.
> 
> 
> Could you test if:
> 
> . /scripts/functions
> 
> wait_for_udev 30
> 
> works for you? If it does I'll do an NMU.

I guess you received a private mail confirming everything works fine with
that patch?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Wed, 26 Sep 2012 13:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Wed, 26 Sep 2012 13:54:05 GMT) Full text and rfc822 format available.

Message #37 received at 677450@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 677450@bugs.debian.org, Jakub Moc <jakub.moc@gmail.com>
Subject: Re: Bug#677450: dmraid: fakeraid root device not activated during boot
Date: Wed, 26 Sep 2012 15:52:06 +0200
* Cyril Brulebois wrote [26.09.12 15:49]:
Hi Cyril,

> I guess you received a private mail confirming everything works fine with
> that patch?
 
Yes, Jakub send me an email saying that wait_for_udev works for him.

Thanks for your work,
Ulrich




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Wed, 26 Sep 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Wed, 26 Sep 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #42 received at 677450@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ulrich Dangel <uli@debian.org>
Cc: 677450@bugs.debian.org, Jakub Moc <jakub.moc@gmail.com>
Subject: Re: Bug#677450: dmraid: fakeraid root device not activated during boot
Date: Wed, 26 Sep 2012 16:11:42 +0200
[Message part 1 (text/plain, inline)]
Ulrich Dangel <uli@debian.org> (26/09/2012):
> Yes, Jakub send me an email saying that wait_for_udev works for him.

Great. Thank you both for reporting & fixing. ;)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Mon, 22 Oct 2012 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 22 Oct 2012 07:00:03 GMT) Full text and rfc822 format available.

Message #47 received at 677450@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ulrich Dangel <uli@debian.org>
Cc: 677450@bugs.debian.org
Subject: Re: dmraid: fakeraid root device not activated during boot
Date: Sun, 21 Oct 2012 23:58:35 -0700
Hi,

Ulrich Dangel wrote:

> --- dmraid-1.0.0.rc16/debian/changelog
> +++ dmraid-1.0.0.rc16/debian/changelog
> @@ -1,3 +1,11 @@
> +dmraid (1.0.0.rc16-4.2) unstable; urgency=low
> +
> +  * Non-maintainer upload.
> +  * Call udevadm settle before activating dmraid devices
> +    (Closes: #677450)

Thanks for fixing it.  Does squeeze need this, too?

Curious,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Mon, 22 Oct 2012 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@spamt.net>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 22 Oct 2012 14:24:03 GMT) Full text and rfc822 format available.

Message #52 received at 677450@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@spamt.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 677450@bugs.debian.org
Subject: Re: dmraid: fakeraid root device not activated during boot
Date: Mon, 22 Oct 2012 15:20:17 +0100
On 22 Oct 2012, at 07:58, Jonathan Nieder <jrnieder@gmail.com> wrote:

>> --- dmraid-1.0.0.rc16/debian/changelog
>> +++ dmraid-1.0.0.rc16/debian/changelog
>> @@ -1,3 +1,11 @@
>> +dmraid (1.0.0.rc16-4.2) unstable; urgency=low
>> +
>> +  * Non-maintainer upload.
>> +  * Call udevadm settle before activating dmraid devices
>> +    (Closes: #677450)
> 
> Thanks for fixing it.  Does squeeze need this, too?

I am not a 100 percent sure but this bugfix should probably get into squeeze too, yes. The squeeze initramfs script may behave differently but it already includes the wait_for_udev function (checked against initramfs-tools 0.98.8), so there is no harm by calling wait_for_udev.

Ulrich


Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#677450; Package dmraid. (Mon, 22 Oct 2012 19:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 22 Oct 2012 19:45:11 GMT) Full text and rfc822 format available.

Message #57 received at 677450@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ulrich Dangel <uli@spamt.net>
Cc: 677450@bugs.debian.org
Subject: Re: dmraid: fakeraid root device not activated during boot
Date: Mon, 22 Oct 2012 12:41:40 -0700
Ulrich Dangel wrote:
> On 22 Oct 2012, at 07:58, Jonathan Nieder <jrnieder@gmail.com> wrote:

>>> --- dmraid-1.0.0.rc16/debian/changelog
>>> +++ dmraid-1.0.0.rc16/debian/changelog
>>> @@ -1,3 +1,11 @@
>>> +dmraid (1.0.0.rc16-4.2) unstable; urgency=low
>>> +
>>> +  * Non-maintainer upload.
>>> +  * Call udevadm settle before activating dmraid devices
>>> +    (Closes: #677450)
>>
>> Thanks for fixing it.  Does squeeze need this, too?
>
> I am not a 100 percent sure

Ok, let's wait until someone tests it then.

Thanks for the quick feedback.

Jonathan



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:59:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:38:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.